package com.ruoyi.ss.mchApply.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.common.core.domain.JsonViewProfile;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商家合作申请对象 ss_mch_apply
 *
 * @author ruoyi
 * @date 2024-04-28
 */
@Data
public class MchApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申请id */
    @JsonView(JsonViewProfile.App.class)
    private Long applyId;

    /** 用户id */
    @Excel(name = "用户id")
    @JsonView(JsonViewProfile.App.class)
    private Long userId;

    /** 申请状态（0：审核中，1：审核通过，2：已驳回） */
    @Excel(name = "申请状态", readConverterExp = "0=：审核中，1：审核通过，2：已驳回")
    @JsonView(JsonViewProfile.App.class)
    private String status;

    /** 姓名 */
    @Excel(name = "姓名")
    @JsonView(JsonViewProfile.App.class)
    private String name;

    /** 手机号 */
    @Excel(name = "手机号")
    @JsonView(JsonViewProfile.App.class)
    private String mobile;

    /** 详细信息 */
    @Excel(name = "详细信息")
    @JsonView(JsonViewProfile.App.class)
    private String content;

    /** 反馈信息（对外） */
    @Excel(name = "反馈信息", readConverterExp = "对=外")
    @JsonView(JsonViewProfile.App.class)
    private String callback;

    /** 审核人id */
    @Excel(name = "审核人id")
    @JsonView(JsonViewProfile.App.class)
    private Long verifyBy;

    /** 审核时间 */
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonView(JsonViewProfile.App.class)
    private LocalDateTime verifyTime;

    /** 审核备注 */
    @Excel(name = "审核备注")
    @JsonView(JsonViewProfile.App.class)
    private String verifyRemark;
}
