package com.ruoyi.ss.suit.service;

import java.util.List;
import com.ruoyi.ss.suit.domain.Suit;
import com.ruoyi.ss.suit.domain.SuitQuery;
import com.ruoyi.ss.suit.domain.SuitVo;

/**
 * 套餐Service接口
 *
 * @author ruoyi
 * @date 2024-04-25
 */
public interface ISuitService
{
    /**
     * 查询套餐
     *
     * @param suitId 套餐主键
     * @return 套餐
     */
    public SuitVo selectSuitBySuitId(Long suitId);

    /**
     * 查询套餐列表
     *
     * @param suit 套餐
     * @return 套餐集合
     */
    public List<SuitVo> selectSuitList(SuitQuery suit);

    /**
     * 新增套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int insertSuit(Suit suit);

    /**
     * 修改套餐
     *
     * @param suit 套餐
     * @return 结果
     */
    public int updateSuit(Suit suit);

    /**
     * 批量删除套餐
     *
     * @param suitIds 需要删除的套餐主键集合
     * @return 结果
     */
    public int deleteSuitBySuitIds(Long[] suitIds);

    /**
     * 删除套餐信息
     *
     * @param suitId 套餐主键
     * @return 结果
     */
    public int deleteSuitBySuitId(Long suitId);

    /**
     * 批量逻辑删除
     * @param suitIds
     * @return
     */
    int logicDel(List<Long> suitIds);
}
